Goods Receipt Notes
Update Grn
PATCH
/
api
/
v1
/
grn
/
{grn_id}
Update Grn
curl --request PATCH \
--url https://vinmake-erp.onrender.com/api/v1/grn/{grn_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"grnNumber": "<string>",
"purchaseOrderId": "<string>",
"receivedDate": "2023-11-07T05:31:56Z",
"notes": "<string>",
"lineItems": [
{
"poLineId": "<string>",
"quantityReceived": "0.00",
"damageQuantity": "0.00",
"remarks": "<string>"
}
]
}
'import requests
url = "https://vinmake-erp.onrender.com/api/v1/grn/{grn_id}"
payload = {
"grnNumber": "<string>",
"purchaseOrderId": "<string>",
"receivedDate": "2023-11-07T05:31:56Z",
"notes": "<string>",
"lineItems": [
{
"poLineId": "<string>",
"quantityReceived": "0.00",
"damageQuantity": "0.00",
"remarks": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
grnNumber: '<string>',
purchaseOrderId: '<string>',
receivedDate: '2023-11-07T05:31:56Z',
notes: '<string>',
lineItems: [
{
poLineId: '<string>',
quantityReceived: '0.00',
damageQuantity: '0.00',
remarks: '<string>'
}
]
})
};
fetch('https://vinmake-erp.onrender.com/api/v1/grn/{grn_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"purchaseOrderId": "<string>",
"receivedDate": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"lineItems": [
{
"id": "<string>",
"grnId": "<string>",
"poLineId": "<string>",
"quantityReceived": "<string>",
"damageQuantity": "<string>",
"remarks": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"grnNumber": "<string>",
"orderType": "bulk",
"notes": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Body
application/json
Response
Successful Response
⌘I
Update Grn
